{% extends "perusahaan_lowongan/layout/base.html" %}

{% block content%}

<section>
    <h2 class="forum-list-title"> Forum Lowongan Kerja</h2>
    <div class="container">
            {% if forum_list %}
                {% for forum in forum_list reversed %}
                    <h1> {{ forum.lowongan }}</h1>
                    <h2> {{ forum.created_date}}</h1>
                {% endfor %}
            {% else %}
            <div class="alert alert-danger text-center">
                <strong>Maaf!</strong> Tidak ada forum
            </div>
            {% endif %}
        </div>

        <div class="pagination">
                <span class="step-links">
                    {% if forum_list.has_previous %}
                        <a href="?page={{ forum_list.previous_page_number }}">previous</a>
                    {% endif %}

                    <span class="current">
                        Page {{ forum_list.number }} of {{ forum_list.paginator.num_pages }}.
                    </span>

                    {% if forum_list.has_next %}
                        <a href="?page={{ forum_list.next_page_number }}">next</a>
                    {% endif %}
                </span>
            </div>
</section>
<input id="new_forum" class="btn btn-lg btn-block btn-info" value="Tambah Forum Lowongan"onclick="show()">

<div id="form" style="display:none" class="container">
  <form id="form" method="POST" action="{% url 'perusahaan-lowongan:add-forum' %}">
      <h2>Tambah Forum Lowongan Kerja</h2>
      {% csrf_token %}
      {{ forum_form }}
      <input id="submit" type="submit" class="btn btn-lg btn-block btn-info" value="Submit" onclick=add()>
      <br>
  </form>
</div>


{% block javascript%}
<script>
function show(){
    var x = document.getElementById("form");
    if(x.style.display === "none"){
      x.style.display = "block";
    }else{
      x.style.display = "none";
    }
    $('#new_forum').hide();
}

function add(){
  var x = document.getElementById("form");
  if(x.style.display === "none"){
    x.style.display = "block";
  }else{
    x.style.display = "none";
  }
  $('#new_forum').show();
}
</script>
{% endblock %}
{% endblock %}
